# Type Alias HistoryApiRegistry

type HistoryApiRegistry = {
registerHistoryApiProvider(provider: HistoryApi): void;
unregisterHistoryApiProvider(): void;
}

#### Hierarchy

- HistoryApiRegistry
  - ServerAPI

- Defined in history.ts:95

##### Index

### Methods

registerHistoryApiProvider
unregisterHistoryApiProvider

## Methods

### registerHistoryApiProvider

- registerHistoryApiProvider(provider: HistoryApi): void

  #### Parameters

  - provider: HistoryApi

  #### Returns void

  - Defined in history.ts:96

### unregisterHistoryApiProvider

- unregisterHistoryApiProvider(): void

  #### Returns void

  - Defined in history.ts:97